# -*- coding: utf-8 -*-

# -----------------------------------------------------------------------------------#
# AvrLogger - Monitoring and visualization tool.                                     #
# Copyright (C) 2018 by BigRonin.                                                    #
# Member of the German Synology Community Forum "https://www.synology-forum.de"      #
# -----------------------------------------------------------------------------------#
# This file is part of "AvrLogger.spk"                                               #
#                                                                                    #
# AvrLogger is free software: you can redistribute it and/or modify                  #
# it under the terms of the GNU General Public License as published by               #
# the Free Software Foundation, either version 3 of the License, or                  #
# (at your option) any later version.                                                #
# -----------------------------------------------------------------------------------#

import asset
from   Html     import *
import lib

FuncName    = 'groot'

# ---------------------------------------------------------------------------------
# --- Pre-Initialization
# ---------------------------------------------------------------------------------
def pre( site, more ):
   pass

# ---------------------------------------------------------------------------------
# --- Post-Initialization
# ---------------------------------------------------------------------------------
def post( site, more ):
   pass

# ------------------------------------------------------------------------------
# --- "groot" - Page
# ------------------------------------------------------------------------------
def Func( site=False, more=False ) :

   WhatsNew = lib.InitLanguage( asset.sysCookies['SynoUser'], asset.avrRootInfo, suffix='.html', opt=True )

   print ( 'Content-type: text/html' )
   print ( '' )
   print ( '<!DOCTYPE html>' )
   print ( '<html xmlns="http://www.w3.org/1999/xhtml">' )
   print ( '   <head>' )
   print ( '      <title> -- {0}@(G)root -- </title>'.format( asset.SpkName ) )
   print ( '      <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />' )
   print ( '      <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">' )
   print ( '      <meta http-equiv="Cache-Control" content="no-cache, no-store, must-revalidate" />' )
   print ( '      <meta http-equiv="Pragma" content="no-cache" />' )
   print ( '      <meta http-equiv="Expires" content="0" />' )
   print ( '      <link rel="shortcut icon" href="images/{0}_32.png" type="image/x-icon" />'.format( asset.SpkName ) )
   print ( '      <link rel="stylesheet" type="text/css" href="css/News.css?v={0}"/>'.format( asset.cssVersion ) )
   print ( '      <link rel="stylesheet" type="text/css" href="../../help/help.css?v={0}"/>'.format( asset.cssVersion ) )
   print ( '      <link rel="stylesheet" type="text/css" href="../../help/scrollbar/flexcroll.css"/>' )
   print ( '      <script type="text/javascript" src="../../help/scrollbar/flexcroll.js"></script>' )
   print ( '      <script type="text/javascript" src="../../help/scrollbar/initFlexcroll.js"></script> ' )
   print ( '   </head>' )
   print ( '   <body style="margin-left:0px; margin-top:0px;">' )
   print ( '      <div class="content">' )

   # --- Print content of File ...
   print ( WhatsNew )

   print ( '      </div>' )
   print ( '   </body>' )
   print ( '</html>' )

# --------------------------------------- END ---------------------------------------
# -----------------------------------------------------------------------------------
#  sys.exit()
# -----------------------------------------------------------------------------------
# -----------------------------------------------------------------------------------
