# -*- coding: utf-8 -*-

# -----------------------------------------------------------------------------------#
# AvrLogger - Monitoring and visualization tool.                                     #
# Copyright (C) 2018 by BigRonin.                                                    #
# Member of the German Synology Community Forum "https://www.synology-forum.de"      #
# coding: utf-8                                                                      #
# -----------------------------------------------------------------------------------#
# This file is part of "AvrLogger.spk"                                               #
#                                                                                    #
# AvrLogger is free software: you can redistribute it and/or modify                  #
# it under the terms of the GNU General Public License as published by               #
# the Free Software Foundation, either version 3 of the License, or                  #
# (at your option) any later version.                                                #
# -----------------------------------------------------------------------------------#

# -----------------------------------------------------------------------------------
# --- The server list is horrible.
# --- Here, the country names are standardized ...
# -----------------------------------------------------------------------------------
Country = { \
         "AR"                                : "Argentina"            , \
         "AU"                                : "Australia"            , \
         "AW"                                : "Aruba"                , \
         "AZ"                                : "Azerbaijan"           , \
         "BD"                                : "Bangladesh"           , \
         "BG"                                : "Bulgaria"             , \
         "BR"                                : "Brazil"               , \
         "Bosnia and Herzegovina"            : "Bosnia Herzegovina"   , \
         "CA"                                : "Canada"               , \
         "CH"                                : "Switzerland"          , \
         "CL"                                : "Chile"                , \
         "CN"                                : "China"                , \
         "CM"                                : "Cameroon"             , \
         "CR"                                : "Costa Rica"           , \
         "CZ"                                : "Czech Republic"       , \
         "DE"                                : "Germany"              , \
         "DR Congo"                          : "Congo"                , \
         "the Democratic Republic of the"    : "Congo"                , \
         "Democratic Republic of the Congo"  : "Congo"                , \
         "EG"                                : "Egypt"                , \
         "ES"                                : "Spain"                , \
         "FJ"                                : "Fiji"                 , \
         "FR"                                : "France"               , \
         "GB"                                : "United Kingdom"       , \
         "Great Britain"                     : "United Kingdom"       , \
         "GH"                                : "Ghana"                , \
         "GR"                                : "Greece"               , \
         "ID"                                : "Indonesia"            , \
         "IL"                                : "Israel"               , \
         "IN"                                : "India"                , \
         "IR"                                : "Iran"                 , \
         "Islamic Republic of"               : "Iran"                 , \
         "IS"                                : "Iceland"              , \
         "IT"                                : "Italy"                , \
         "IQ"                                : "Iraq"                 , \
         "JP"                                : "Japan"                , \
         "KZ"                                : "Kazakhstan"           , \
         "LB"                                : "Lebanon"              , \
         "LS"                                : "Lesotho"              , \
         "LU"                                : "Luxembourg"           , \
         "LY"                                : "Libya"                , \
         "MD"                                : "Moldova"              , \
         "Republic of the Union of Myanmar"  : "Myanmar"              , \
         "Republic of Maldives"              : "Maldives"             , \
         "MG"                                : "Madagascar"           , \
         "MM"                                : "Myanmar"              , \
         "MX"                                : "Mexico"               , \
         "MY"                                : "Malaysia"             , \
         "Federated States of Micronesia"    : "Micronesia"           , \
         "the former Yugoslav Republic of"   : "Macedonia"            , \
         "Republic of Moldova"               : "Moldova"              , \
         "PA"                                : "Panama"               , \
         "Republic of Palau"                 : "Palau"                , \
         "PL"                                : "Poland"               , \
         "PY"                                : "Paraguay"             , \
         "Puerto Rcio"                       : "Puerto-Rico"          , \
         "RS"                                : "Serbia"               , \
         "RU"                                : "Russian Federation"   , \
         "Российская Федерация"                  : "Russian Federation"   , \
         "SA"                                : "Saudi Arabia"         , \
         "SB"                                : "Solomon Islands"      , \
         "SI"                                : "Slovenia"             , \
         "SK"                                : "Slovakia"             , \
         "Saint Pierre and Miquelon"         : "Saint Pierre"         , \
         "Republic of Singapore"             : "Singapore"            , \
         "TG"                                : "Togo"                 , \
         "United Republic of"                : "Tanzania"             , \
         "TH"                                : "Thailand"             , \
         "UA"                                : "Ukraine"              , \
         "US"                                : "United States"        , \
         "USA"                               : "United States"        , \
         "UZ"                                : "Uzbekistan"           , \
         "VN"                                : "Vietnam"              , \
         "Bolivarian Republic of"            : "Venezuela"            , \
         "Viet Nam"                          : "Vietnam"              , \
         "ZA"                                : "South Africa"         }

# --------------------------------------- END ---------------------------------------
# -----------------------------------------------------------------------------------
#  sys.exit()
# -----------------------------------------------------------------------------------
# -----------------------------------------------------------------------------------
