# -*- coding: utf-8 -*-

# -----------------------------------------------------------------------------------#
# AvrLogger - Monitoring and visualization tool.                                     #
# Copyright (C) 2018 by BigRonin.                                                    #
# Member of the German Synology Community Forum "https://www.synology-forum.de"      #
# -----------------------------------------------------------------------------------#
# This file is part of "AvrLogger.spk"                                               #
#                                                                                    #
# AvrLogger is free software: you can redistribute it and/or modify                  #
# it under the terms of the GNU General Public License as published by               #
# the Free Software Foundation, either version 3 of the License, or                  #
# (at your option) any later version.                                                #
# -----------------------------------------------------------------------------------#

import asset
from   Html  import *

from   lib   import switch, case

# -----------------------------------------------------------------------------------
# --- Global options ...
# -----------------------------------------------------------------------------------
FuncName = 'view'


# -----------------------------------------------------------------------------------
# --- Pre-Initialization
# -----------------------------------------------------------------------------------
def pre( site, more ) :
   pass

# -----------------------------------------------------------------------------------
# --- Post-Initialization
# -----------------------------------------------------------------------------------
def post( site, more ) :
   pass

# -----------------------------------------------------------------------------------
# --- Function : "view"
# -----------------------------------------------------------------------------------
def Func ( sSite, sMore ) :

   # --- Header "fieldset" ausgeben ...
   print ( '<fieldset class="WhiteMonoShell" >' )
   print ( '<div class="BlackFreeShell"> <!-- divOpenBlk -->' )
   print ( '<pre class="BlackFreeShell">' ) 
   print ( '<div id="ShareScroll" class="ScrollBar OverFlowHddList"> <!-- Start DivScroll -->' )

   # --------------------------------------------------------------------------------
   # --- Print content of File ...
   if os.path.exists( asset.LogSearchFile ) :
      with open( asset.LogSearchFile, 'r', encoding='utf-8' ) as f :
         iRet = f.read().split( '\n' )

      with open( asset.LogSearchMeta, 'r', encoding='utf-8' ) as f :
         sMeta = json.loads( f.read() )

      print ( printLogQuery( iRet, sDate=sMeta[ 'Date' ], sTime=sMeta[ 'Time' ], sKey=sMeta[ 'Key' ], iMax=1000 ) )
   # --------------------------------------------------------------------------------

   print ( '</div> <!-- End DivScroll -->' )
   print ( '</pre>' )
   print ( '</div> <!-- divCloseBlk -->' )
   print ( '</fieldset>' )
   print ( '</form>' )
   print ( '</body>' )
   print ( '</html>' )

   # --------------------------------------------------------------------------------
   # --------------------------------------------------------------------------------

   """
   divOpenBlk ( 600, 419, sClass='BlackMonoShell' )
   print ( '<div id="ShareScroll" class="ScrollBar OverFlowHddList"> <!-- Start DivScroll -->' )

   if os.path.exists( asset.LogSearchFile ) :
      with open( asset.LogSearchFile, 'r', encoding='utf-8' ) as f :
         iRet = f.read().split( '\n' )

      with open( asset.LogSearchMeta, 'r', encoding='utf-8' ) as f :
         sMeta = json.loads( f.read() )

      print ( printLogQuery( iRet, sDate=sMeta[ 'Date' ], sTime=sMeta[ 'Time' ], sKey=sMeta[ 'Key' ], iMax=85 ) )

   print ( '</div> <!-- End DivScroll -->' )
   divCloseBlk ()
   """

# --------------------------------------- END ---------------------------------------
# -----------------------------------------------------------------------------------
#  sys.exit()
# -----------------------------------------------------------------------------------
# -----------------------------------------------------------------------------------
